Bug 835767 - (CVE-2012-3358) CVE-2012-3358 openjpeg: heap-based buffer overflow when processing JPEG2000 image files
CVE-2012-3358 openjpeg: heap-based buffer overflow when processing JPEG2000 i...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20120710,repo...
: Security
Depends On: 812319 831561 831562 839125
Blocks: 812327
  Show dependency treegraph
 
Reported: 2012-06-27 00:51 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 06:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 13:03:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
openjpeg-tile-sanity.patch (1.59 KB, patch)
2012-06-27 01:17 EDT, Tom Lane
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-06-27 00:51:26 EDT
A heap-based buffer overflow was found in the way OpenJPEG, an open-source JPEG 2000 codec written in C language, performed parsing of JPEG2000 having certain number of tiles and tilesizes. A remote attacker could provide a specially crafted JPEG 2000 file, which when opened in an application linked against openjpeg would lead to that application crash, or, potentially arbitrary code execution with the privileges of the user running the application.
Comment 4 Tom Lane 2012-06-27 01:17:22 EDT
Created attachment 594684 [details]
openjpeg-tile-sanity.patch

Um, this is the relevant patch, not that one.
Comment 5 Vincent Danen 2012-07-10 12:41:13 EDT
This is now public:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=681075
Comment 6 Huzaifa S. Sidhpurwala 2012-07-10 23:33:44 EDT
Here is the upstream commit:

http://code.google.com/p/openjpeg/source/detail?r=1727
Comment 7 Huzaifa S. Sidhpurwala 2012-07-10 23:41:00 EDT
Created openjpeg tracking bugs for this issue

Affects: fedora-all [bug 839125]
Comment 8 errata-xmlrpc 2012-07-11 12:42:15 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1068 https://rhn.redhat.com/errata/RHSA-2012-1068.html

Note You need to log in before you can comment on or make changes to this bug.